cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation

## Class LSR_U13

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.LSU_U12_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.LSR_U13

-     public final class LSR_U13
      extends LSU_U12_Common

  LSR_U13 - Automated Equipment Log/Service Request (Event U13). This message is use to request log and/or service events from one application to another (e.g., Laboratory Automation System to automated equipment).

  Represents a LSU_U13 message structure (see chapter 13.3.13). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential Segment) SINGLE_OPTIONAL
  3: EQU (Equipment Detail Segment)
  4: EQP (Equipment/log Service Segment)
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  LSR_U13 objU13 = (LSR_U13)MessageFactory.createInstance().createSendSupportedMessage("LSR", "U13");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.clinicallaboratoryautomation.LSU_U12_Common

      `addEquipmentLogOrService, addEquipmentLogOrService, addSoftwareSegment, addSoftwareSegment, getEquipmentDetailSegment, getEquipmentLogOrService, getSoftwareSegments, getUserAuthenticationCredentialSegment, setEquipmentDetailSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`